##### basic_raw_socket::basic_raw_socket (7 of 10 overloads)

Construct a `basic_raw_socket` on an existing native socket.

    basic_raw_socket(
        const executor_type & ex,
        const protocol_type & protocol,
        const native_handle_type & native_socket);

This constructor creates a raw socket object to hold an existing native socket.

###### Parameters

ex

  The I/O executor that the socket will use, by default, to dispatch handlers for any asynchronous operations performed on the socket.

protocol

  An object specifying protocol parameters to be used.

native_socket

  The new underlying socket implementation.

###### Exceptions

asio::system_error

  Thrown on failure.